Security Announcements

 
 
My ugly mug
MSA-14-0003: Cross-site request forgery vulnerability in profile fields
 
Description: Custom profile fields and categories were open to deletion without proper session checking.
Issue summary: Two Cross-site Request Forgery(CSRF) vulnerabilities found in /user/profile/index.php
Severity/Risk: Serious
Versions affected: 2.6, 2.5 to 2.5.4, 2.4 to 2.4.7, 2.3 to 2.3.10 and earlier unsupported versions
Versions fixed: 2.6.1, 2.5.4, 2.4.8 and 2.3.11
Reported by: Jun Zhu
Issue no.: MDL-42883
CVE identifier: CVE-2014-0010
Changes (master): http://git.moodle.org/gw?p=moodle.git&a=search&h=HEAD&st=commit&s=MDL-42883